<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"   "http://www.w3.org/TR/html4/loose.dtd">
<HTML>
<HEAD>
<META HTTP-EQUIV="content-type" CONTENT="text/html; charset=UTF-8">
<TITLE>KMIexp Input Form</TITLE>

<!-- 
	University of Illinois/NCSA Open Source License for kmiexp.php.

Copyright (c) 2008 Jim Champ/Surrey County Council 
All rights reserved.
Developed by: 		Jim Champ
                    www.devboats.co.uk/idmphp/
Permission is hereby granted, free of charge, to any person obtaining a
copy of this software and associated documentation files (the
"Software"), to deal with the Software without restriction, including
without limitation the rights to use, copy, modify, merge, publish,
distribute, sublicense, and/or sell copies of the Software, and to
permit persons to whom the Software is furnished to do so, subject to
the following conditions:

Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimers. 

Redistributions in binary form must reproduce the above
copyright notice, this list of conditions and the following disclaimers
in the documentation and/or other materials provided with the
distribution. 

Neither the names of Surrey County Council nor the names of its contributors
 may be used to endorse
or promote products derived from this Software without specific prior
written permission. 
THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE CONTRIBUTORS OR COPYRIGHT HOLDERS BE LIABLE FOR
ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
SOFTWARE OR THE USE OR OTHER DEALINGS WITH THE SOFTWARE. 
*/
-->

</HEAD>
<BODY>
<H1>KMI SSL Certificate Expiry Date Listing</H1>
<p>Expired SSL Certificates can cause operational problems, in
particular with remote control and web services such as iPrint .
Certicates in the rows shown in red have expired or are about to expire
and normally you should renew them, say using pkidiag or iManager.
However certificate names starting in &quot;Old&quot; are backup copies
created by pkidiag, need not be renewed and can be deleted.</p>
<FORM METHOD="POST" ACTION="kmiexprun.php"
	ENCTYPE="x-www-form-urlencoded">
<TABLE class="main" CELLPADDING="2" CELLSPACING="2">
	<TR>
		<TD class="maintdpos">LDAP Admin User ID:</TD>
		<TD class="maintdpos"><INPUT TYPE="text" NAME="ldap_id" SIZE="30"
			MAXLENGTH="80"></TD>
	</TR>
	<TR>
		<TD class="maintdpos">LDAP Password:</TD>
		<TD class="maintdpos"><INPUT TYPE="password" NAME="ldap_pw" SIZE="30"
			MAXLENGTH="40"></TD>
	</TR>
	<TR>
		<TD class="maintdpos">LDAP Server:</TD>
		<TD class="maintdpos"><INPUT TYPE="text" NAME="ldap_server"
			 SIZE="30" MAXLENGTH="40"></TD>
	</TR>
	<TR>
		<TD colspan="2">
		<HR>
		</TD>
	</TR>
	<TR>
		<TD class="maintdpos">Working OU/Context:</TD>
		<TD class="maintdpos"><INPUT TYPE="text" NAME="ldap_root" SIZE="30"
			MAXLENGTH="40"></TD>
	</TR>
	<TR>
		<TD class="maintdpos">Certificate to Check:</TD>
		<TD class="maintdpos"><INPUT TYPE="text" NAME="cert_name"
		VALUE="SSL CertificateIP" SIZE="30" MAXLENGTH="40"></TD>
	</TR>
	<TR>
		<TD class="maintdpos">Check for expiry over next:</TD>
		<TD class="maintdpos"><INPUT TYPE="text" NAME="months_ahead"
		VALUE="1" SIZE="3" MAXLENGTH="10"> Month(s).</TD>
	</TR>

	<TR>
		<TD colspan="2">
		<HR>
		</TD>
	</TR>

	<TR>
		<TD class="maintdpos"><INPUT TYPE="submit" VALUE="Post Details"></TD>
		<TD class="maintdpos"><INPUT TYPE="reset" VALUE="Clear Form"></TD>
	</TR>
</TABLE>
</FORM>
<H3>Notes and Help</h3>
<p>LDAP Admin user id must be in typeful LDAP format ie <CODE>cn=adminuser,o=organisation</CODE>.
The delimiters must be commas and not full stops.</p>
<p>LDAP server. It would be best to pick a server that holds replicas
containing the objects that you wish to edit.</p>
<p>Working OU/Context must also be in typeful LDAP format, so <CODE>ou=dept,ou=building,ou=town,o=organisation</CODE>.
Unless you have a very large tree indeed this probably should be the
base organisation in the Directory.</p>

</BODY>
</HTML>

